Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 01/05/2022 in all areas

  1. Here are some more examples, along with a quick performance comparison.
    2 points
  2. Another one commonly used to pull point lists .. modified for 100 code: (mapcar 'cdr (vl-remove-if '(lambda (x) (/= 100 (car x))) elist))
    2 points
  3. Wow inflation has really hit big time, just last year it was 2¢
    1 point
  4. (terpri) starts a new line. These all act the same. (defun C:Scratch () (prompt (strcat "Pre Loop " (itoa (getvar 'MILLISECS)))) (princ) (command "_.delay" 2000) ;; delay for 2s (prompt (strcat "Post Loop " (itoa (getvar 'MILLISECS)))) (princ) ) (defun C:Scratch () (prompt (strcat "Pre Loop " (itoa (getvar 'MILLISECS)))) (terpri) (command "_.delay" 2000) ;; delay for 2s (prompt (strcat "Post Loop " (itoa (getvar 'MILLISECS)))) (princ) ) (defun C:Scratch () (prompt (strcat "Pre Loop " (itoa (getvar 'MILLISECS)))) (command "_.delay" 2000) ;; delay for 2s (prompt (strcat "\nPost Loop " (itoa (getvar 'MILLISECS)))) ;\n starts new line (princ) )
    1 point
  5. This is an apples and oranges situation. The scale on the PDF is irrelevant until someone prints it. You can print to a PDF at 1=1 or 1"=50' or whatever and make it accurate, but it someone prints it at "scale to fit" on their printer, there's nothing you can do about it. That's why graphic scales are a good idea, as tombu suggests. "Dwg to PDF" is a good general-purpose plotter. Never had any trouble with it.
    1 point
  6. What your asking for would change the drawing dramatically. This will rotate lines @ midpoint with a +/- of 3.5 degrees from horizontal or vertical. Increase fuzz to meet your needs. ;; CAB 12.02.09 ;; Correct angles for lines with angles near 15 and 22.5 degrees +/- fuzz ;; Only LINES & only in Current Space ;; Only UnLocked Layers (defun c:test (/ filter ss layobj i ent lst angles fuzz obj ang midpt) (vl-load-com) (setq angles '(15 22.5) ; degree angles to test (0 through 90) fuzz 3.5 ; degree tolerance for adjustments of lines ) (setq angles (mapcar (function (lambda (x) (/ (* x pi) 180.0))) angles)) ; convert to radians (setq fuzz (/ (* fuzz pi) 180.0)) ; convert to radians (setq filter "") ;; filter locked layers (vlax-for layobj (vla-get-layers (vla-get-activedocument (vlax-get-acad-object))) (if (= (vla-get-lock layobj) ':vlax-true) (setq filter (strcat filter (vla-get-name layobj) ",")) ) ) (and (= filter "") (setq filter "*")) (setq ss (ssget "_X" '((0 . "LINE")(410 . "Model")))) (vla-EndUndoMark (vla-get-ActiveDocument (vlax-get-acad-object))) (vla-StartUndoMark (vla-get-activedocument (vlax-get-acad-object))) (setq i -1) (while (setq ent (ssname ss (setq i (1+ i)))) (setq obj (vlax-ename->vla-object ent)) (setq ang (vla-get-angle obj)) (if (and (or (equal (setq re (rem ang (cadr angles))) 0.0 fuzz) (and (equal (setq re (rem ang (cadr angles))) (cadr angles) fuzz) (setq re (- re (cadr angles))) ) (equal (setq re (rem ang (car angles))) 0.0 fuzz) (and (equal (setq re (rem ang (car angles))) (car angles) fuzz) (setq re (- re (car angles))) ) ) (not (zerop re)) ) (progn (setq midpt (mapcar '(lambda (a b) (/ (+ a b) 2.)) (vlax-get obj 'startpoint) (vlax-get obj 'endpoint) ) ) (vla-rotate obj (vlax-3d-point midpt) (- re)) ) ) ) (vla-EndUndoMark (vla-get-ActiveDocument (vlax-get-acad-object))) (princ) )
    1 point
  7. AutoCAD LT can import geometry and text from PDF (so long as it is in vector format) and it works really well so there should be no need for external process's. But it does depend on the quality of the PDF to start with and will need some cleaning up afterwards.
    1 point
  8. The upgrade has now completed successfully, and we are now running the most recent version of Invision Community. The most obvious change is that the Rank system, which has been a part of this forum for many years, is replaced with a new system called Achievements. The new system is much more flexible. Ranks were based purely on the number of posts that members made. Achievements are based on the number of points acrued. Points are awarded for lots of different things, not just content posting. For example, points are earned for having followers, getting positive reactions etc. In addition to the ranks awarded through achievements, members can also earn badges for passing significant milestones and for excellent work. All of this means that your profile looks a little different than it did before. There are also some changes under the hood, but those shouldn't make any significant difference to your experience. As usual, if you spot anything that doesn't look right, post in this thread to let me know.
    1 point
  9. You might be able to pick something out of THIS. This code saves me tons of time browsing the network. Just looked at what I'm using now and this is it: (defun rjp-currentpath (/ dp hkcu key) ;; RJP » 2019-03-27 ;; Sets current drawing directory for XREF, ETRANSMIT, SHEETSET and PUBLISH commands ;; Writes to registry so use at your own risk... (cond ((= (getvar 'dwgtitled) 1) (setq dp (getvar 'dwgprefix) hkcu (strcat "HKEY_CURRENT_USER\\" (cond ((vlax-user-product-key)) ((vlax-product-key)) ) ) key (strcat hkcu "\\Profiles\\" (getvar 'cprofile) "\\Dialogs\\") ) (vl-registry-write (strcat hkcu "\\ETransmit\\Setups\\Standard\\") "Destfolder" dp) (cond ((wcmatch (getenv "username") "*") (vl-registry-write (strcat key "AllAnavDialogs\\") "PlacesOrder6" dp) (vl-registry-write (strcat key "AllAnavDialogs\\") "PlacesOrder6Display" "Current Directory" ) (vl-registry-write (strcat key "AllAnavDialogs\\") "PlacesOrder6Ext" "") ) ) (vl-registry-write (strcat hkcu "\\ETransmit\\Setups\\Standard\\") "Destfolder" dp) (foreach reg '(("acad-131" "InitialDirectory") ("AcPublishDlg" "Location") ("AcSmNav:OpenSheetSet" "InitialDirectory") ("BrowseFolder" "InitialDirectory") ("BrowseforPlotFilePlotDlg" "InitialDirectory") ("BrowseropenDialog" "InitialDirectory") ("CreateTransmittalDialog" "DefaultPath") ("DSDNavDlg" "InitialDirectory") ("DWFNavDlg" "InitialDirectory") ("OUTPUTFOLDERDLG" "InitialDirectory") ("OpenSaveAnavDialogs" "InitialDirectory") ("PDFopenDialog" "InitialDirectory") ("SSMNavigator" "OpenSheetSetPath") ("SSMNavigator" "ImportLayoutsAsSheetsPath") ("Save Drawing As" "InitialDirectory") ("Select File" "InitialDirectory") ("Select a drawing to compare" "InitialDirectory") ;; RJP » 2022-01-05 -XREF dialog key ("Select Reference File" "InitialDirectory") ("Enter name of file to overlay" "InitialDirectory") ("Sheet Set Wizard" "BrowseForLayoutsPath") ("Sheet Set Wizard" "SheetSetCreatePath") ("XattachFileDialog" "InitialDirectory") ) (vl-registry-write (strcat key (car reg)) (cadr reg) dp) ) ) ) (princ) ) (or *current-path-reactor* (setq *current-path-reactor* (vlr-command-reactor nil '((:vlr-commandwillstart . startcommand)))) ) (defun startcommand (calling-reactor startcommandinfo) (and (wcmatch (car startcommandinfo) "*XREF,XATTACH,ETRANSMIT,*SHEET*,PUBLISH,*SAVEAS*,OPEN") (rjp-currentpath) ) )
    1 point
  10. type PUBLISH at the command line, and delete any Layouts that are automatically included. Click the "Add Sheets" icon and look for the "Prefix sheet title with file name" option and make sure it's unchecked. Also, be sure to save the sheet list, people forget that one little step goes a long way sometimes.
    1 point
×
×
  • Create New...